Bug 526075 - No GUI for icon_policy=present
Summary: No GUI for icon_policy=present
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 16:58 UTC by Michael Monreal
Modified: 2009-09-30 13:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-30 13:20:47 UTC


Attachments (Terms of Use)

Description Michael Monreal 2009-09-28 16:58:38 UTC
On a recent Rawhide LiveCD, icon_policy=present is the default but there is not GUI to set it. The config GUI only shows:

---
( ) Never display icon 
( ) Always display icon
---

Both are unset. If I tick any of them, the setting is changed and I have to use gconf to set "present" again.

Comment 1 Matthias Clasen 2009-09-28 23:00:08 UTC
Do you have any  batteries ?

My prefs show:

( ) Only display an icon if the battery is low
( ) Only display an icon when charging or discharging
( ) Only display an icon when battery is present
( ) Always display an icon

Comment 2 Michael Monreal 2009-09-29 07:19:12 UTC
And I assume one of those is actually ticked?

To answer your question, at the time of test I was running on AC with no battery inserted, but I inserted it just to test this and the options stayed the same two. Besides, "present" (which is "Only display an icon when battery is present") seems to be "the" setting for people running without battery at times and changing the prefs based on that seems to be very confusing.

Can P-M detect if there is any battery _slot_? If so, and if this is not the case, only displaying the two options makes sense.

Comment 3 Richard Hughes 2009-09-29 10:36:43 UTC
DeviceKit-power doesn't expose any battery devices if they are "missing". I guess we could add a has-battery-bay property, but that would have to be a F13 feature. If you want to work on a patch for that, I would be very welcome -- I'm really busy with F12 release stuff.

Comment 4 Matthias Clasen 2009-09-29 15:09:08 UTC
The simple fix for F12 would appear to be: always show all options ?

Comment 5 Richard Hughes 2009-09-30 08:22:45 UTC
(In reply to comment #4)
> The simple fix for F12 would appear to be: always show all options ?  

Do you think that's a good default for upstream? That solves a few other problems too, as a "low battery" also corresponds with USB wireless mice and that sort of thing that can be plugged in much after you've set policy.

Comment 6 Matthias Clasen 2009-09-30 12:36:57 UTC
I think always showing all options is not too big a deal, and it is much better than risking people getting confused by changing sets of options, like we have right here.

Comment 7 Richard Hughes 2009-09-30 13:20:47 UTC
commit 73bd434b1c65c89cedc045a460946144bcfa59d8
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Sep 30 13:57:56 2009 +0100

    Do not hide some radio buttons depending on the current machine state
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=526075

I'll cherry-pick into gnome-2-28 for 2.28.1 in a couple of weeks time.


Note You need to log in before you can comment on or make changes to this bug.